Ubuntu

9.10 beta - Samsung NC10 - HSPA modem - cannot connect to EDGE/UMTS network

Reported by Jonas Sextl on 2009-10-18
68
This bug affects 12 people
Affects Status Importance Assigned to Milestone
modemmanager (Ubuntu)
Medium
Alexander Sack

Bug Description

Binary package hint: modemmanager

Description: Ubuntu karmic (development branch)
Release: 9.10

Networkmanager / Modemmanager does not connect Samsung NC10 HPSA modem to UMTS/EDGE network. After selecting the connection network manager shows "GSM network - Disconnected" immediately.

Attached are the logs according to
https://wiki.ubuntu.com/DebuggingModemmanager

Versions of network-manager/modemmanager are the following:
modemmanager 0.2.git.20091014t233208.16f3e00-0ubuntu1
network-manager 0.8~a~git.20091016t185227.8d65515-0ubuntu2~nmt1
network-manager-gnome 0.8~a~git.20091017t090835.ab528ae-0ubuntu2~nmt1

I double-checked several bug reports which are similar however I think this is not the same as the other bugs as it seems to be a problem with the proper detection of the HSPA modem.

Thanks a lot for your support,
Jonas

modem.log.txt:
** Message: Loaded plugin Huawei
** Message: Loaded plugin Generic
** Message: Loaded plugin Nokia
** Message: Loaded plugin Sierra
** Message: Loaded plugin Option
** Message: Loaded plugin Ericsson MBM
** Message: Loaded plugin MotoC
** Message: Loaded plugin ZTE
** Message: Loaded plugin Option High-Speed
** Message: Loaded plugin Gobi
** Message: Loaded plugin Novatel
** Message: (ttyACM0) opening serial device...
** (modem-manager:2929): DEBUG: (ttyACM0): probe requested by plugin 'Generic'
** (modem-manager:2929): DEBUG: (ttyACM0): --> 'AT+GCAP<CR>'
** (modem-manager:2929): DEBUG: (ttyACM0): <-- '<CR><LF>ERROR<CR><LF>'
** (modem-manager:2929): DEBUG: Got failure code 100: Unknown error
** (modem-manager:2929): DEBUG: (ttyACM0): --> 'AT+GCAP<CR>'
** (modem-manager:2929): DEBUG: (ttyACM0): <-- '<CR><LF>ERROR<CR><LF>'
** (modem-manager:2929): DEBUG: Got failure code 100: Unknown error
** (modem-manager:2929): DEBUG: (ttyACM0): --> 'AT+GCAP<CR>'
** (modem-manager:2929): DEBUG: (ttyACM0): <-- '<CR><LF>ERROR<CR><LF>'
** (modem-manager:2929): DEBUG: Got failure code 100: Unknown error
** (modem-manager:2929): DEBUG: (ttyACM0): --> 'ATI<CR>'
** (modem-manager:2929): DEBUG: (ttyACM0): <-- '<CR><LF>Manufacturer: SAMSUNG ELECTRONICS CORPORATION<CR><LF>Model: GT-Y3100<CR><LF>Revision: Y3100AKIA1 <CR><LF>FTA SW VERSION: Y3100.006<CR><LF>FTA HW VERSION: REV0.1<CR><LF>IMEI: 357580022657084<CR><LF>+GCAP: +CGSM,+DS,+ES<CR><LF><CR><LF>OK<CR><LF>'
** Message: (ttyACM0) closing serial device...
** Message: (Generic): GSM modem /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-7 claimed port ttyACM0
** (modem-manager:2929): DEBUG: Added modem /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-7
** (modem-manager:2929): DEBUG: Exported modem /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-7 as /org/freedesktop/ModemManager/Modems/0
** Message: (ttyACM0) opening serial device...
** (modem-manager:2929): DEBUG: (ttyACM0): --> 'ATZ E0 V1 X4 &C1 +CMEE=1<CR>'
** (modem-manager:2929): DEBUG: (ttyACM0): <-- '<CR><LF>ERROR<CR><LF>'
** (modem-manager:2929): DEBUG: Got failure code 100: Unknown error
** Message: (ttyACM0) closing serial device...

nm.log.txt
NetworkManager: <info> starting...
NetworkManager: <info> modem-manager is now available
NetworkManager: SCPlugin-Ifupdown: init!
NetworkManager: SCPlugin-Ifupdown: update_system_hostname
NetworkManager: SCPluginIfupdown: management mode: unmanaged
NetworkManager: SCPlugin-Ifupdown: devices added (path: /sys/devices/pci0000:00/0000:00:1c.0/0000:02:00.0/net/wlan0, iface: wlan0)
NetworkManager: SCPlugin-Ifupdown: device added (path: /sys/devices/pci0000:00/0000:00:1c.0/0000:02:00.0/net/wlan0, iface: wlan0): no ifupdown configuration found.
NetworkManager: SCPlugin-Ifupdown: devices added (path: /sys/devices/pci0000:00/0000:00:1c.0/0000:02:00.0/net/wmaster0, iface: wmaster0)
NetworkManager: SCPlugin-Ifupdown: device added (path: /sys/devices/pci0000:00/0000:00:1c.0/0000:02:00.0/net/wmaster0, iface: wmaster0): no ifupdown configuration found.
NetworkManager: SCPlugin-Ifupdown: devices added (path: /sys/devices/pci0000:00/0000:00:1c.2/0000:03:00.0/net/eth0, iface: eth0)
NetworkManager: SCPlugin-Ifupdown: device added (path: /sys/devices/pci0000:00/0000:00:1c.2/0000:03:00.0/net/eth0, iface: eth0): no ifupdown configuration found.
NetworkManager: SCPlugin-Ifupdown: devices added (path: /sys/devices/virtual/net/lo, iface: lo)
NetworkManager: SCPlugin-Ifupdown: device added (path: /sys/devices/virtual/net/lo, iface: lo): no ifupdown configuration found.
NetworkManager: SCPlugin-Ifupdown: devices added (path: /sys/devices/virtual/net/pan0, iface: pan0)
NetworkManager: SCPlugin-Ifupdown: device added (path: /sys/devices/virtual/net/pan0, iface: pan0): no ifupdown configuration found.
NetworkManager: SCPlugin-Ifupdown: devices added (path: /sys/devices/virtual/net/vboxnet0, iface: vboxnet0)
NetworkManager: SCPlugin-Ifupdown: device added (path: /sys/devices/virtual/net/vboxnet0, iface: vboxnet0): no ifupdown configuration found.
NetworkManager: SCPlugin-Ifupdown: end _init.
NetworkManager: Loaded plugin ifupdown: (C) 2008 Canonical Ltd. To report bugs please use the NetworkManager mailing list.
NetworkManager: Loaded plugin keyfile: (c) 2007 - 2008 Red Hat, Inc. To report bugs please use the NetworkManager mailing list.
NetworkManager: <info> Found radio killswitch rfkill1 (at /sys/devices/pci0000:00/0000:00:1c.0/0000:02:00.0/ieee80211/phy0/rfkill1) (driver <unknown>)
NetworkManager: <info> Wireless now enabled by radio killswitch
NetworkManager: SCPlugin-Ifupdown: (167722272) ... get_connections.
NetworkManager: SCPlugin-Ifupdown: (167722272) ... get_connections (managed=false): return empty list.
NetworkManager: Ifupdown: get unmanaged devices count: 0
NetworkManager: <info> (wlan0): driver supports SSID scans (scan_capa 0x01).
NetworkManager: <info> (wlan0): new 802.11 WiFi device (driver: 'ath5k')
NetworkManager: <info> (wlan0): exported as /org/freedesktop/NetworkManager/Devices/0
NetworkManager: <info> (wlan0): now managed
NetworkManager: <info> (wlan0): device state change: 1 -> 2 (reason 2)
NetworkManager: <info> (wlan0): bringing up device.
NetworkManager: <info> (wlan0): preparing device.
NetworkManager: <info> (wlan0): deactivating device (reason: 2).
NetworkManager: <info> (eth0): carrier is OFF
NetworkManager: <info> (eth0): new Ethernet device (driver: 'sky2')
NetworkManager: <info> (eth0): exported as /org/freedesktop/NetworkManager/Devices/1
NetworkManager: <info> (eth0): now managed
NetworkManager: <info> (eth0): device state change: 1 -> 2 (reason 2)
NetworkManager: <info> (eth0): bringing up device.
NetworkManager: <info> (eth0): preparing device.
NetworkManager: <info> (eth0): deactivating device (reason: 2).
NetworkManager: Added default wired connection 'Auto eth0' for /sys/devices/pci0000:00/0000:00:1c.2/0000:03:00.0/net/eth0
NetworkManager: <WARN> device_creator(): /sys/devices/virtual/net/pan0: couldn't determine device driver; ignoring...
NetworkManager: <WARN> device_creator(): /sys/devices/virtual/net/vboxnet0: couldn't determine device driver; ignoring...
NetworkManager: <info> (ttyACM0): new GSM device (driver: 'cdc_acm')
NetworkManager: <info> (ttyACM0): exported as /org/freedesktop/NetworkManager/Devices/2
NetworkManager: <info> (ttyACM0): now managed
NetworkManager: <info> (ttyACM0): device state change: 1 -> 2 (reason 2)
NetworkManager: <info> (ttyACM0): deactivating device (reason: 2).
NetworkManager: flush_routes: assertion `iface_idx >= 0' failed
NetworkManager: flush_addresses: assertion `iface_idx >= 0' failed
NetworkManager: <info> (ttyACM0): device state change: 2 -> 3 (reason 0)
NetworkManager: <info> (wlan0): supplicant interface state: starting -> ready
NetworkManager: <info> (wlan0): device state change: 2 -> 3 (reason 42)
NetworkManager: Tried to set deprecated property gsm/band
NetworkManager: <info> Activation (ttyACM0) starting connection 'T-mobile'
NetworkManager: <info> (ttyACM0): device state change: 3 -> 4 (reason 0)
NetworkManager: <info> Activation (ttyACM0) Stage 1 of 5 (Device Prepare) scheduled...
NetworkManager: <info> Activation (ttyACM0) Stage 1 of 5 (Device Prepare) started...
NetworkManager: <info> (ttyACM0): device state change: 4 -> 6 (reason 0)
NetworkManager: <info> Activation (ttyACM0) Stage 1 of 5 (Device Prepare) complete.
NetworkManager: <info> Activation (ttyACM0) Stage 1 of 5 (Device Prepare) scheduled...
NetworkManager: <info> Activation (ttyACM0) Stage 1 of 5 (Device Prepare) started...
NetworkManager: <info> (ttyACM0): device state change: 6 -> 4 (reason 0)
NetworkManager: <info> Activation (ttyACM0) Stage 1 of 5 (Device Prepare) complete.
NetworkManager: <WARN> stage1_prepare_done(): GSM modem connection failed: Unknown error
NetworkManager: <info> (ttyACM0): device state change: 4 -> 9 (reason 1)
NetworkManager: <info> Marking connection 'T-mobile' invalid.
NetworkManager: <info> Activation (ttyACM0) failed.
NetworkManager: <info> (ttyACM0): device state change: 9 -> 3 (reason 0)
NetworkManager: <info> (ttyACM0): deactivating device (reason: 0).
NetworkManager: flush_routes: assertion `iface_idx >= 0' failed
NetworkManager: flush_addresses: assertion `iface_idx >= 0' failed

mm-test.py
GSM modem
Driver: 'cdc_acm'
Modem device: '/sys/devices/pci0000:00/0000:00:1d.7/usb1/1-7'
Data device: 'ttyACM0'
Traceback (most recent call last):
  File "./mm-test.py", line 276, in <module>
    modem.Enable(True)
  File "/usr/lib/pymodules/python2.6/dbus/proxies.py", line 140, in __call__
    **keywords)
  File "/usr/lib/pymodules/python2.6/dbus/connection.py", line 620, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.ModemManager.Modem.Gsm.Unknown: Unknown error

Related branches

hsasshofer (herbert-sasshofer) wrote :

Unfortunately same problem here, plugging in a Huawei E169G works flawlessly...

Raptor (redkite) wrote :

I can confirm this issue on 9.10

Samsung NC10 with internal Samsung 3G/HSPA Modem. Worked with 9.04 like a charm right out of the box and now seems broken.

Wotan (ubuntu-freebsd) wrote :

I also have the same problem with my NC10. Under Ubuntu 9.04 it works.

Alexander Sack (asac) wrote :

plese checkout https://wiki.ubuntu.com/DebuggingModemmanager and submit the logs. thanks

Raptor (redkite) wrote :
Download full text (7.4 KiB)

Hi,

as requested the log files below. I cut out some wlan connection stuff from nm.log.txt.

modem.log.txt:
** Message: Loaded plugin Generic
** Message: Loaded plugin MotoC
** Message: Loaded plugin Gobi
** Message: Loaded plugin Huawei
** Message: Loaded plugin Option High-Speed
** Message: Loaded plugin Option
** Message: Loaded plugin Sierra
** Message: Loaded plugin Novatel
** Message: Loaded plugin Nokia
** Message: Loaded plugin ZTE
** Message: Loaded plugin Ericsson MBM
** Message: (ttyACM0) opening serial device...
** (modem-manager:2350): DEBUG: (ttyACM0): probe requested by plugin 'Generic'
** (modem-manager:2350): DEBUG: (ttyACM0): --> 'AT+GCAP<CR>'
** (modem-manager:2350): DEBUG: (ttyACM0): <-- 'AT+GCAP<CR><CR><LF>ERROR<CR><LF>'
** (modem-manager:2350): DEBUG: Got failure code 100: Unknown error
** (modem-manager:2350): DEBUG: (ttyACM0): --> 'AT+GCAP<CR>'
** (modem-manager:2350): DEBUG: (ttyACM0): <-- 'AT+GCAP<CR><CR><LF>ERROR<CR><LF>'
** (modem-manager:2350): DEBUG: Got failure code 100: Unknown error
** (modem-manager:2350): DEBUG: (ttyACM0): --> 'AT+GCAP<CR>'
** (modem-manager:2350): DEBUG: (ttyACM0): <-- 'AT+GCAP<CR><CR><LF>ERROR<CR><LF>'
** (modem-manager:2350): DEBUG: Got failure code 100: Unknown error
** (modem-manager:2350): DEBUG: (ttyACM0): --> 'ATI<CR>'
** (modem-manager:2350): DEBUG: (ttyACM0): <-- 'ATI<CR><CR><LF>Manufacturer: SAMSUNG ELECTRONICS CORPORATION<CR><LF>Model: GT-Y3100<CR><LF>Revision: Y3100XXHL1 <CR><LF>FTA SW VERSION: Y3100.006<CR><LF>FTA HW VERSION: REV0.1<CR><LF>IMEI: 357580021820329<CR><LF>+GCAP: +CGSM,+DS,+ES<CR><LF><CR><LF>OK<CR><LF>'
** Message: (ttyACM0) closing serial device...
** Message: (Generic): GSM modem /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-7 claimed port ttyACM0
** (modem-manager:2350): DEBUG: Added modem /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-7
** (modem-manager:2350): DEBUG: Exported modem /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-7 as /org/freedesktop/ModemManager/Modems/0
** Message: (ttyACM0) opening serial device...
** (modem-manager:2350): DEBUG: (ttyACM0): --> 'ATZ E0 V1 X4 &C1 +CMEE=1<CR>'
** (modem-manager:2350): DEBUG: (ttyACM0): <-- 'ATZ E0 V1 X4 &C1 +'
** (modem-manager:2350): DEBUG: (ttyACM0): <-- 'CMEE=1<CR><CR><LF>ERROR<CR><LF>'
** (modem-manager:2350): DEBUG: Got failure code 100: Unknown error
** Message: (ttyACM0) closing serial device...

nm.log.txt:
NetworkManager: <info> starting...
NetworkManager: <info> modem-manager is now available
NetworkManager: SCPlugin-Ifupdown: init!
NetworkManager: SCPlugin-Ifupdown: update_system_hostname
NetworkManager: SCPluginIfupdown: management mode: unmanaged
NetworkManager: SCPlugin-Ifupdown: devices added (path: /sys/devices/pci0000:00/0000:00:1c.0/0000:02:00.0/net/wlan0, iface: wlan0)
NetworkManager: SCPlugin-Ifupdown: device added (path: /sys/devices/pci0000:00/0000:00:1c.0/0000:02:00.0/net/wlan0, iface: wlan0): no ifupdown configuration found.
NetworkManager: SCPlugin-Ifupdown: devices added (path: /sys/devices/pci0000:00/0000:00:1c.0/0000:02:00.0/net/wmaster0, iface: wmaster0)
NetworkManager: SCPlugin-Ifupdown: device added (path: /sys/devices/pci0000:00/0000:00:1c.0/0000:02:00.0/net/wmast...

Read more...

Raptor (redkite) wrote :

Sorry, I forgot the mm-test Skript, output is below:

GSM modem
Driver: 'cdc_acm'
Modem device: '/sys/devices/pci0000:00/0000:00:1d.7/usb1/1-7'
Data device: 'ttyACM0'
Traceback (most recent call last):
  File "mm-test.py", line 276, in <module>
    modem.Enable(True)
  File "/usr/lib/pymodules/python2.6/dbus/proxies.py", line 140, in __call__
    **keywords)
  File "/usr/lib/pymodules/python2.6/dbus/connection.py", line 620, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.ModemManager.Modem.Gsm.Unknown: Unknown error

Alexander Sack (asac) wrote :

** (modem-manager:2350): DEBUG: (ttyACM0): --> 'ATZ E0 V1 X4 &C1 +CMEE=1<CR>'
** (modem-manager:2350): DEBUG: (ttyACM0): <-- 'ATZ E0 V1 X4 &C1 +'
** (modem-manager:2350): DEBUG: (ttyACM0): <-- 'CMEE=1<CR><CR><LF>ERROR<CR><LF>'

this seems to be problematic. doome confirmed that ATZ E0 V1 +CMEE=1 works ... so we might want to try to fallback to that if the first one fails.

Alexander Sack (asac) wrote :

sorry ... what doome confirmed was: AT&F E0 V1 +CMEE=1 ... and AT&F E0 V1 X4 +CMEE=1

Changed in modemmanager (Ubuntu):
assignee: nobody → Alexander Sack (asac)
importance: Undecided → Medium
milestone: none → karmic-updates
status: New → Triaged
Alexander Sack (asac) wrote :

ok after double checking its really just

 AT&F E0 V1 +CMEE=1

and

 ATZ E0 V1 +CMEE=1

that work.

Raptor (redkite) wrote :

Could those changes work and is there any chance to patch and rebuild modemmanager from source? The problem is quite annoying and a downgrade would only be my second choice I think.

Alexander Sack (asac) wrote :

please test this patch following instructions given under "Testing a patch" section on https://wiki.ubuntu.com/DebuggingModemmanager

as requested by asac

as requested by asac

Raptor (redkite) wrote :

The patch works like a charm! Currently posting with UMTS enabled. Thanks for the quick reaction.

Alexander Sack (asac) wrote :

committed upstream: 294a5e31532b038e9ad31f4f9750fe6fa724da1c

daily builds available here: https://edge.launchpad.net/~network-manager/+archive/trunk ... should work. please verify.

Changed in modemmanager (Ubuntu):
status: Triaged → Fix Committed
Alexander Sack (asac) wrote :

bullshit .... wrong bug ;) ... ignore my last post.

Changed in modemmanager (Ubuntu):
status: Fix Committed → Triaged
Alexander Sack (asac) wrote :

ok. flipped approach fix was committed 54901933fea26d17ec7fac5e326f6478770b059d

please check tomorrows dailies from https://edge.launchpad.net/~network-manager/+archive/trunk

Changed in modemmanager (Ubuntu):
status: Triaged → Fix Committed
hsasshofer (herbert-sasshofer) wrote :

Works perfectly using the .deb from the PPA. Thank you very much indeed!

Wotan (ubuntu-freebsd) wrote :

Works perfectly !!! . Thank you very much indeed !!!

Danke

sugarfree (misiek-rutkowski) wrote :

Works not perfectly... I can't connect after suspend... Anyone have the same problem?

Wotan (ubuntu-freebsd) wrote :

I have the same problem with the suspend.

sugarfree (misiek-rutkowski) wrote :

I have solved the suspend problem, the solution was easy (too easy to gues for me at first time... Inspiration was desperation during booring lesson at university :P...), you need to restart network-manager, you can do that with:

sudo /etc/init.d/network-manager restart

Enjoy!
sugarfree

bugmenot (bugmenot2345234532) wrote :

I have added the network-manager PPA and upgraded the tools. But the problem is still there! When I click on the 3G connection to connect, the green lights of the applet are flicker extremely fast and a connection wont be established! dont know whats the problem, I have done the same as under jaunty... think the network-manager(applet) is very buggy under karmic -.-

Do someone know another network manager wich I can use under ubuntu?

Same for me. Adding, upgrading and reboot doesnt work. Restarting the network-manager doenst work, too. The green point just flicker a miliseconds an the is says GSM ist not connected.

While I try to use an integrated Huawei E620 modem, the problem is basically the same as tracked by this bug. Adding this PPA, upgrading and rebooting: still does not work. Please find syslog entries enclosed below:

Nov 8 15:23:47 eee901go NetworkManager: <info> Activation (ttyUSB0) starting connection 'XXX'
Nov 8 15:23:47 eee901go NetworkManager: <info> (ttyUSB0): device state change: 3 -> 4 (reason 0)
Nov 8 15:23:47 eee901go NetworkManager: <info> Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) scheduled...
Nov 8 15:23:47 eee901go NetworkManager: <info> Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) started...
Nov 8 15:23:47 eee901go NetworkManager: <info> Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) complete.
Nov 8 15:23:47 eee901go modem-manager: (ttyUSB0) opening serial device...
Nov 8 15:23:48 eee901go modem-manager: Registration state changed: 1
Nov 8 15:23:48 eee901go modem-manager: Got failure code 100: Unknown error
Nov 8 15:23:48 eee901go NetworkManager: <WARN> stage1_prepare_done(): GSM modem connection failed: No cause information available
Nov 8 15:23:48 eee901go NetworkManager: <info> (ttyUSB0): device state change: 4 -> 9 (reason 1)
Nov 8 15:23:48 eee901go NetworkManager: <info> Marking connection 'Fonic' invalid.
Nov 8 15:23:48 eee901go NetworkManager: <info> Activation (ttyUSB0) failed.
Nov 8 15:23:48 eee901go NetworkManager: <info> (ttyUSB0): device state change: 9 -> 3 (reason 0)
Nov 8 15:23:48 eee901go NetworkManager: <info> (ttyUSB0): deactivating device (reason: 0).
Nov 8 15:23:48 eee901go NetworkManager: flush_routes: assertion `iface_idx >= 0' failed
Nov 8 15:23:48 eee901go NetworkManager: flush_addresses: assertion `iface_idx >= 0' failed
Nov 8 15:23:48 eee901go modem-manager: (ttyUSB0) closing serial device...

Now it works! Great! After a long time finally I can use UMTS with my Asus Netbook 901Go again! The problem seems to have been that the package mobile-broadband-provider-info was not installed. Is there a reason why this is not automatically installed together with network manager? Otherwise, the mobile broadband tab is available but network manager won't work.

Alas, I'm a happy user now. I'm writing and sending this log entry using my UMTS connection. Thank you very much! After a loooong time of waiting for this it has finally arrived again (remember some time in 4.1 it was broken).

On Thu, Nov 05, 2009 at 07:09:30PM -0000, P-Baumgart wrote:
> I have added the network-manager PPA and upgraded the tools. But the
> problem is still there! When I click on the 3G connection to connect,
> the green lights of the applet are flicker extremely fast and a
> connection wont be established! dont know whats the problem, I have done
> the same as under jaunty... think the network-manager(applet) is very
> buggy under karmic -.-

Open a new bug please. This one was confirmed by many to be fixed, so
you see a separate issue.

 - Alexander

Alexander Sack (asac) wrote :

On Wed, Nov 04, 2009 at 07:44:16PM -0000, sugarfree wrote:
> I have solved the suspend problem, the solution was easy (too easy to
> gues for me at first time... Inspiration was desperation during booring
> lesson at university :P...), you need to restart network-manager, you
> can do that with:
>
> sudo /etc/init.d/network-manager restart

please file a new bug for the suspend issue and drop the bug id here so we
can follow up there ...

 - Alexander

Alexander Sack (asac) wrote :

On Sun, Nov 08, 2009 at 02:46:19PM -0000, Harald Albrecht wrote:
> Now it works! Great! After a long time finally I can use UMTS with my
> Asus Netbook 901Go again! The problem seems to have been that the
> package mobile-broadband-provider-info was not installed. Is there a
> reason why this is not automatically installed together with network
> manager? Otherwise, the mobile broadband tab is available but network
> manager won't work.
>

the only difference that package makes is that it allows you to select
a specific provider on connection creation.

And yes, its an optional package, however, unless you opt-out from installing
it you should have gotten it.

 - Alexander

thomas_p75 (thomas-p75) on 2009-11-11
Changed in modemmanager (Ubuntu):
status: Fix Committed → Fix Released
status: Fix Released → Fix Committed
Wotan (ubuntu-freebsd) on 2009-11-12
Changed in modemmanager (Ubuntu):
status: Fix Committed → Incomplete
status: Incomplete → Fix Committed
Wolfgang Fahl (wf-bitplan) wrote :

Since I do have the same problem and get the same error message it would be nice to know what do to about it now. What is the fix? I do not understand the discussion above in this respect.

Pi (peter-bergmann) wrote :

Hi,
if have the same problem with a motorola e1000 phone. i cannot connect to 3G UMTS or GRPS.
I attached the needed logs...
Regards and thank for helping!

Pi (peter-bergmann) wrote :

Hi,
if have the same problem with a motorola e1000 phone. i cannot connect to 3G UMTS or GRPS.
I attached the needed logs...
Regards and thank for helping!

Pi (peter-bergmann) wrote :

the above attachment was a log while running: sudo modem-manager --debug

zackpuse (palie-zas82) wrote :

I also have the same problem with my NOKIA N73.

Launchpad Janitor (janitor) wrote :
Download full text (3.7 KiB)

This bug was fixed in the package modemmanager - 0.3-0ubuntu1

---------------
modemmanager (0.3-0ubuntu1) lucid; urgency=low

  * upstream snapshot: 2009-12-08 06:07:58 (GMT)
    + 07114d4f43c6e724d22294108b1e73785e7aab2a
    - release: bump version to 0.2.997
    - gsm: handle different +COPS response behavior
    - gsm: implement enable/connecting/disconnecting state handling
    - core: fix ordering of DISABLING and DISABLED states
    - cdma: reset previous state if disconnect failed
    - cdma: correctly handle state update after disconnection
    - cdma: handle interim enabling/disabling states better
    - cdma: update for new modem states and make connect actually work
    - mbm: update state after enabling the device
    - core: schedule enabled/disabled callbacks to avoid infinite recursion
    - cdma: set correct modem state on connect failure
    - build: require glib-2.0 >= 2.6.18 for g_set_error_literal()
    - zte: add missing ZTE device aux port tags
    - gsm: more complete parsing of PIN responses
    - gsm: fix unsolicited registration segfaults
    - hso: ensure authentication works again after auth errors
    - serial: don't run commands when there's already one in progress
    - hso: fix up connection issues and error ignorance
    - nozomi: fix detection (LP: #425312)
    - gsm: CGDCONT parsing fixes (bgo #602552)
    - core: don't allow double scheduled callbacks (fixes crash)
    - serial: handle arbitrary amounts of <CF><LF> padding in responses
    - gsm: make "X4 &C1" init arguments optional (LP: #455031)

  * upstream release 0.3
    - cdma: increase data call initiation timeout
    - core: fix mm_modem_check_removed() to return errors correctly
    - cdma: allow plugins to override AT+CSS? during registration checking (rh #547294)
    - anydata: add plugin for AnyData CDMA devices (rh #547294)
    - huawei-cdma: robustify SYSINFO parsing
    - sierra: prefer primary port for status
    - core: protect against modem removal in critical callbacks (rh #553953)
    - cdma: prefer primary port unless it's connected
    - probe: add CPIN request during the probing process (bgo #604369)
    - zte: ignore SIM Build Main Menu requests (rh #551376)
    - longcheer: new plugin for Longcheer (Alcatel etc) devices (bgo #606550)
    - gsm: correctly parse Nokia N80 +COPS response
    - gsm: split out +COPS response parsing and add testcases
    - serial: prevent "hangs" by limiting EAGAIN retries on serial writes
    - gsm: ensure registration state is reset when disabling the modem
    - core: implement a PropertiesChanged signal for the MMModem class
    - core: add Enabled property to org.freedesktop.ModemManager.Modem interface
    - sierra: fix CDMA registration detection in some cases
    - zte: handle unsolicited messages during probe
    - cdma: fix quality parsing if modem doesn't prepend +CSQ:
    - sierra: use at!pcstate on CDMA modems for power control
    - option: always pick the right data port
    - mbm: ensure various unsolicited responses are turned off when disabling
    - cdma: try +CSQ? if CSQ fails
    - cdma: accept SID 0 in some cases

  [ Tony Espy <email address hidden> ]
  * add get-snapshot-info target ...

Read more...

Changed in modemmanager (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers